Read institution
curl --request GET \
--url https://int-data.moneydesktop.com/institutions/{institution_guid} \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/institutions/{institution_guid}"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/institutions/{institution_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-data.moneydesktop.com/institutions/{institution_guid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"MD-SESSION-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-data.moneydesktop.com/institutions/{institution_guid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("MD-SESSION-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-data.moneydesktop.com/institutions/{institution_guid}")
.header("MD-SESSION-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-data.moneydesktop.com/institutions/{institution_guid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["MD-SESSION-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"institution": {
"code": "mxbank",
"created_at": "2016-09-21T22:03:55.000Z",
"guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
"forgot_password_url": "https://www.mx.com/forgot-password",
"forgot_username_url": "https://www.mx.com/forgot-username",
"has_checking_account": "https://www.mx.com/forgot-username",
"has_credit_card_accounts": true,
"has_investment_accounts": true,
"has_line_of_credit_accounts": true,
"has_loan_accounts": true,
"has_mortgage_accounts": true,
"has_savings_accounts": true,
"is_disabled_by_client": false,
"is_hidden": true,
"is_test": true,
"iso_country_code": [
"US",
"CA"
],
"medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/INS-1572a04c-912b-59bf-5841-332c7dfafaef_100x100.png",
"name": "MX Bank",
"popularity": 72644,
"small_logo_url": "https://content.moneydesktop.com/storage/MD_AssetsIpad%20Logos/50x50/INS-1572a04c-912b-59bf-5841-332c7dfafaef_50x50.png",
"supports_account_identification": true,
"supports_account_verification": true,
"supports_oauth": true,
"supports_transaction_history": false,
"trouble_signing_in_url": "https://www.mx.com/trouble-signing-in",
"updated_at": "2022-04-11T17:38:27.000Z",
"url": "https://www.mx.com"
},
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Institutions
Read institution
GET
/
institutions
/
{institution_guid}
Read institution
curl --request GET \
--url https://int-data.moneydesktop.com/institutions/{institution_guid} \
--header 'MD-SESSION-TOKEN: <api-key>'import requests
url = "https://int-data.moneydesktop.com/institutions/{institution_guid}"
headers = {"MD-SESSION-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'MD-SESSION-TOKEN': '<api-key>'}};
fetch('https://int-data.moneydesktop.com/institutions/{institution_guid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-data.moneydesktop.com/institutions/{institution_guid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"MD-SESSION-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-data.moneydesktop.com/institutions/{institution_guid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("MD-SESSION-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-data.moneydesktop.com/institutions/{institution_guid}")
.header("MD-SESSION-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-data.moneydesktop.com/institutions/{institution_guid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["MD-SESSION-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"institution": {
"code": "mxbank",
"created_at": "2016-09-21T22:03:55.000Z",
"guid": "INS-1572a04c-912b-59bf-5841-332c7dfafaef",
"forgot_password_url": "https://www.mx.com/forgot-password",
"forgot_username_url": "https://www.mx.com/forgot-username",
"has_checking_account": "https://www.mx.com/forgot-username",
"has_credit_card_accounts": true,
"has_investment_accounts": true,
"has_line_of_credit_accounts": true,
"has_loan_accounts": true,
"has_mortgage_accounts": true,
"has_savings_accounts": true,
"is_disabled_by_client": false,
"is_hidden": true,
"is_test": true,
"iso_country_code": [
"US",
"CA"
],
"medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/INS-1572a04c-912b-59bf-5841-332c7dfafaef_100x100.png",
"name": "MX Bank",
"popularity": 72644,
"small_logo_url": "https://content.moneydesktop.com/storage/MD_AssetsIpad%20Logos/50x50/INS-1572a04c-912b-59bf-5841-332c7dfafaef_50x50.png",
"supports_account_identification": true,
"supports_account_verification": true,
"supports_oauth": true,
"supports_transaction_history": false,
"trouble_signing_in_url": "https://www.mx.com/trouble-signing-in",
"updated_at": "2022-04-11T17:38:27.000Z",
"url": "https://www.mx.com"
},
"pagination": {
"current_page": 1,
"per_page": 25,
"total_entries": 1,
"total_pages": 1
}
}Read institution details.
Authorizations
MX Session Token
- Request an API token using the read API token endpoint in the MX SSO API.
- Exchange an API token for a session token.
- A session token is obtained by sending a POST request to /sessions
- The session token will be used in each request made for the user. It should be passed in an
MD-SESSION-TOKENHTTP header as shown below. - This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
- If you send a request with an expired session token you'll receive an error code of
4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
Response
200 - application/vnd.mx.nexus.v1+json
OK
Hide child attributes
Hide child attributes

